Subject: bug#18596: 25.0.50; MS-Windows needs a different default for python-shell-interpreter-args

From: Stefan Monnier <[email-masked]>
Date: Fri, 14 Nov 2014 19:29:43 -0500

> I'm surprised you consider documenting bugs to be a solution for those
> bugs.  Bugs should be fixed, not documented.  If Emacs knows that in
> certain situation it should invoke Python with -i, it should do that
> automatically.  Or it should do something else to fix the hang, but
> leaving the hanging behavior is IMO simply wrong, and even unbecoming.

Adding "-i" to a command received as argument would definitely be
problematic, but if the command specified is "nil", I agree that we
should provide the needed args for the command to run correctly,
(i.e. include "-i").

        Stefan